require "scripts/style"

local curPageNum = 0;
local maxPage = 7;

HowtoText = {
	parent=DefaultStyle,
	font = {
		standardFont,
		34,
		BlackColor
	},

	align=kHAlignLeft+kVAlignTop,
};

MakeDialog
{
name="howtoplay",
HowToPlayWindow{

	x=0,y=0,w=1024,h=768,
	rows=gRows,			
	columns=gColumns,
	
	screenshot_x = 512,
	screenshot_y = 384 + 20,
	mright_x = 512 +300,
	mright_y = 628 + 65/2,
	mleft_x =  512 - 300,
	mleft_y = 628 + 65/2,
	howtotext_x = 512,
	howtotext_y = 115,
	howtotext_h = 100,
	howtotext_size = 40,
	
	SetStyle(HowtoText),
	Text{
		name = "howtotext",
		label = "",
		x=550,y=150,
		w=318,h=420,
		},
--	Text{
--		name = "pagenum",
--		x=kCenter+250,y=kCenter+170,
--		w=150,h=50,
--		},

--	SetStyle(ButtonStyle),
--	Button{
--		name="leftbutton",
--		graphics={"ui/casefiles/btn_left01.png","ui/casefiles/btn_left00.png","ui/casefiles/btn_left00.png"},
--		x=kCenter-300,
--		y=kCenter+240,
--		command = function()
--			if(((curPageNum -1)>=0) and ((curPageNum -1)<maxPage)) then
--				curPageNum = curPageNum - 1;
--				SetTutorialPage(curPageNum);
--			end
--		end,
--		},
--	Button{
--		name="rightbutton",
--		graphics={"ui/casefiles/btn_right01.png","ui/casefiles/btn_right00.png","ui/casefiles/btn_right00.png"},
--		x=kCenter+300,
--		y=kCenter+240,
--		command = function()
--			if(((curPageNum +1)>=0) and ((curPageNum +1)<maxPage)) then
--				curPageNum = curPageNum + 1;
--				SetTutorialPage(curPageNum);
--			end			
--		end,
--		},

	},--CaseFileWindow
}

--SetTutorialPage(curPageNum);
